org.apache.felix.ipojo.manipulator.spi.helper

## Class Predicates.Node

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.spi.helper.Predicates.Node

Enclosing class:
  Predicates

    public static class Predicates.Node
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Node()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Predicate` `named(String expected)` Restrict execution if the supported Node has the given name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Node

    public Node()

### Method Detail

#### named

    public Predicate named(String expected)

Restrict execution if the supported Node has the given name.